ViennaCL - The Vienna Computing Library: viennacl::linalg::detail::spai::spai_tag Class Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
viennacl::linalg::detail::spai::spai_tag Class Reference

A tag for SPAI. More...

`#include <spai_tag.hpp>`

## Public Member Functions
| spai_tag (double residual_norm_threshold=1e-3, unsigned int iteration_limit=5, double residual_threshold=1e-2, bool is_static=false, bool is_right=false)
| Constructor. More...
double | getResidualNormThreshold () const
double | getResidualThreshold () const
unsigned int | getIterationLimit () const
bool | getIsStatic () const
bool | getIsRight () const
long | getBegInd () const
long | getEndInd () const
void | setResidualNormThreshold (double residual_norm_threshold)
void | setResidualThreshold (double residual_threshold)
void | setIterationLimit (unsigned int iteration_limit)
void | setIsRight (bool is_right)
void | setIsStatic (bool is_static)
void | setBegInd (long beg_ind)
void | setEndInd (long end_ind)

## Detailed Description

A tag for SPAI.

Contains values for the algorithm. Must be passed to spai_precond constructor

Examples:
  spai.cpp.

Definition at line 64 of file spai_tag.hpp.

## Constructor & Destructor Documentation

viennacl::linalg::detail::spai::spai_tag::spai_tag | ( | double | residual_norm_threshold = `1e-3`,
|  | unsigned int | iteration_limit = `5`,
|  | double | residual_threshold = `1e-2`,
|  | bool | is_static = `false`,
|  | bool | is_right = `false`
| ) |  |
| inline

Constructor.

Parameters

  residual_norm_threshold | Calculate until the norm of the residual falls below this threshold
  iteration_limit | maximum number of iterations
  residual_threshold | determines starting threshold in residual vector for including new indices into set J
  is_static | determines if static version of SPAI should be used
  is_right | determines if left or right preconditioner should be used

Definition at line 75 of file spai_tag.hpp.

## Member Function Documentation

long viennacl::linalg::detail::spai::spai_tag::getBegInd | ( |  | ) | const
| inline

Definition at line 96 of file spai_tag.hpp.

long viennacl::linalg::detail::spai::spai_tag::getEndInd | ( |  | ) | const
| inline

Definition at line 98 of file spai_tag.hpp.

bool viennacl::linalg::detail::spai::spai_tag::getIsRight | ( |  | ) | const
| inline

Definition at line 94 of file spai_tag.hpp.

bool viennacl::linalg::detail::spai::spai_tag::getIsStatic | ( |  | ) | const
| inline

Definition at line 92 of file spai_tag.hpp.

unsigned int viennacl::linalg::detail::spai::spai_tag::getIterationLimit | ( |  | ) | const
| inline

Definition at line 90 of file spai_tag.hpp.

double viennacl::linalg::detail::spai::spai_tag::getResidualNormThreshold | ( |  | ) | const
| inline

Definition at line 86 of file spai_tag.hpp.

double viennacl::linalg::detail::spai::spai_tag::getResidualThreshold | ( |  | ) | const
| inline

Definition at line 88 of file spai_tag.hpp.

void viennacl::linalg::detail::spai::spai_tag::setBegInd | ( | long | beg_ind | ) |
| inline

Definition at line 124 of file spai_tag.hpp.

void viennacl::linalg::detail::spai::spai_tag::setEndInd | ( | long | end_ind | ) |
| inline

Definition at line 126 of file spai_tag.hpp.

void viennacl::linalg::detail::spai::spai_tag::setIsRight | ( | bool | is_right | ) |
| inline

Definition at line 120 of file spai_tag.hpp.

void viennacl::linalg::detail::spai::spai_tag::setIsStatic | ( | bool | is_static | ) |
| inline

Definition at line 122 of file spai_tag.hpp.

void viennacl::linalg::detail::spai::spai_tag::setIterationLimit | ( | unsigned int | iteration_limit | ) |
| inline

Definition at line 114 of file spai_tag.hpp.

void viennacl::linalg::detail::spai::spai_tag::setResidualNormThreshold | ( | double | residual_norm_threshold | ) |
| inline

Definition at line 102 of file spai_tag.hpp.

void viennacl::linalg::detail::spai::spai_tag::setResidualThreshold | ( | double | residual_threshold | ) |
| inline

Definition at line 108 of file spai_tag.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/detail/spai/spai_tag.hpp